
QGIS Application - Bug report #15098

ArcGIS Map/Feature server dialogs do not open on Windows

2016-06-21 11:40 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Web Services clients/ArcGIS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23040

Description

Message:

"Cannot get Arcgis map server select dialog from provider".

is OK on Linux.

Tagging as severe as is a new feature not working as expected.

Related issues:

Related to QGIS Application - Bug report # 16631: Cannot get select dialog (A... Closed 2017-05-27

History

#1 - 2016-06-22 01:45 AM - Sandro Mani

I am unable to reproduce this with my windows build. Did you compile yourself or what build are you using?

#2 - 2016-06-22 03:05 AM - Giovanni Manghi

Sandro Mani wrote:

I am unable to reproduce this with my windows build. Did you compile yourself or what build are you using?

osgeo4w, using the latest "dev" package available there.

#3 - 2016-06-22 04:51 AM - Sandro Mani

- Assignee changed from Sandro Mani to Jürgen Fischer

The qjson dependency is missing. Once you install the library, it works.

@Jürgen: can you add the dependency to the package?

#4 - 2016-06-22 08:26 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed
#5 - 2016-07-08 05:34 AM - Edward H

It seems to me that the qjson dependency is not automatically added if I use the latest "dev" package. I do manually install the library... (osgeo4w - 64 bits -

Windows 7 64 bits)

#6 - 2017-04-30 06:44 PM - Giovanni Manghi

- Category changed from 147 to Web Services clients/ArcGIS

#7 - 2017-05-28 01:54 AM - Jürgen Fischer

- Description updated

- Priority changed from Severe/Regression to Low

- Regression? set to No

- Easy fix? set to No

qgis-dev doesn't need qjson anymore.

#8 - 2017-05-28 01:56 AM - Jürgen Fischer

- Related to Bug report #16631: Cannot get select dialog (ArcGIS) added
